Package org.linphone.core

# Class CoreListenerStub

java.lang.Object
org.linphone.core.CoreListenerStub

All Implemented Interfaces:
  `CoreListener`

public class CoreListenerStub extends Object implements CoreListener

## Constructor Summary

Constructors
Constructor
Description
`CoreListenerStub()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onAccountAdded(Core core, Account account)`
Gets the account added callback.
`void`
`onAccountRegistrationStateChanged(Core core, Account account, RegistrationState state, String message)`
Gets the account registration state changed callback.
`void`
`onAccountRemoved(Core core, Account account)`
Gets the new account removed callback.
`void`
`onAudioDeviceChanged(Core core, AudioDevice audioDevice)`
Gets the audio device changed callback.
`void`
`onAudioDevicesListUpdated(Core core)`
Gets the audio devices list updated callback.
`void`
`onAuthenticationRequested(Core core, AuthInfo authInfo, AuthMethod method)`
Gets the LinphoneCoreCbsAuthenticationRequestedCb callback.
`void`
`onBuddyInfoUpdated(Core core, Friend linphoneFriend)`
Gets the LinphoneCoreCbsBuddyInfoUpdatedCb callback.
`void`
`onCallCreated(Core core, Call call)`
Gets the call created callback.
`void`
`onCallEncryptionChanged(Core core, Call call, boolean mediaEncryptionEnabled, String authenticationToken)`
Gets the LinphoneCoreCbsCallEncryptionChangedCb callback.
`void`
`onCallGoclearAckSent(Core core, Call call)`
Gets the LinphoneCoreCbsCallGoClearAckSentCb callback.
`void`
`onCallIdUpdated(Core core, String previousCallId, String currentCallId)`
Gets the LinphoneCoreCbsCallIdUpdatedCb callback.
`void`
`onCallLogUpdated(Core core, CallLog callLog)`
Gets the LinphoneCoreCbsCallLogUpdatedCb callback.
`void`
`onCallReceiveMasterKeyChanged(Core core, Call call, String masterKey)`
Gets the LinphoneCoreCbsCallReceiveMasterKeyChangedCb callback.
`void`
`onCallSendMasterKeyChanged(Core core, Call call, String masterKey)`
Gets the LinphoneCoreCbsCallSendMasterKeyChangedCb callback.
`void`
`onCallStateChanged(Core core, Call call, Call.State state, String message)`
Gets the LinphoneCoreCbsCallStateChangedCb callback.
`void`
`onCallStatsUpdated(Core core, Call call, CallStats callStats)`
Gets the LinphoneCoreCbsCallStatsUpdatedCb callback.
`void`
`onChatRoomEphemeralMessageDeleted(Core core, ChatRoom chatRoom)`
Gets the chat room ephemeral message deleted callback.
`void`
`onChatRoomRead(Core core, ChatRoom chatRoom)`
Gets the LinphoneCoreCbsChatRoomReadCb callback.
`void`
`onChatRoomSessionStateChanged(Core core, ChatRoom chatRoom, Call.State state, String message)`
Gets the LinphoneCoreCbsChatRoomSessionStateChangedCb callback.
`void`
`onChatRoomStateChanged(Core core, ChatRoom chatRoom, ChatRoom.State state)`
Gets the chat room state changed callback.
`void`
`onChatRoomSubjectChanged(Core core, ChatRoom chatRoom)`
Gets the chat room subject changed callback.
`void`
`onConferenceInfoReceived(Core core, ConferenceInfo conferenceInfo)`
Gets the conference info received callback.
`void`
`onConferenceStateChanged(Core core, Conference conference, Conference.State state)`
Gets the conference state changed callback.
`void`
`onConfiguringStatus(Core core, ConfiguringState status, String message)`
Gets the LinphoneCoreCbsConfiguringStatusCb callback.
`void`
`onDefaultAccountChanged(Core core, Account account)`
Gets the default account changed callback.
`void`
`onDtmfReceived(Core core, Call call, int dtmf)`
Gets the LinphoneCoreCbsDtmfReceivedCb callback.
`void`
`onEcCalibrationAudioInit(Core core)`
Sets a callback to call when the echo-canceler calibrator has completed its
audio graph.
`void`
`onEcCalibrationAudioUninit(Core core)`
Sets a callback to call when the echo-canceler calibrator destroys its audio
graph.
`void`
`onEcCalibrationResult(Core core, EcCalibratorStatus status, int delayMs)`
Sets a callback to call each time the echo-canceler calibration is completed.
`void`
`onFirstCallStarted(Core core)`
Gets the first call started callback.
`void`
`onFriendListCreated(Core core, FriendList friendList)`
Gets the LinphoneCoreCbsFriendListCreatedCb callback.
`void`
`onFriendListRemoved(Core core, FriendList friendList)`
Gets the LinphoneCoreCbsFriendListRemovedCb callback.
`void`
`onGlobalStateChanged(Core core, GlobalState state, String message)`
Gets the global state changed callback.
`void`
`onImeeUserRegistration(Core core, boolean status, String userId, String info)`
Gets the IMEE user registration callback.
`void`
`onInfoReceived(Core core, Call call, InfoMessage message)`
Gets the LinphoneCoreCbsInfoReceivedCb callback.
`void`
`onIsComposingReceived(Core core, ChatRoom chatRoom)`
Gets the LinphoneCoreCbsIsComposingReceivedCb callback.
`void`
`onLastCallEnded(Core core)`
Gets the last call ended callback.
`void`
`onLogCollectionUploadProgressIndication(Core core, int offset, int total)`
Gets the LinphoneCoreCbsLogCollectionUploadProgressIndicationCb callback.
`void`
`onLogCollectionUploadStateChanged(Core core, Core.LogCollectionUploadState state, String info)`
Gets the LinphoneCoreCbsLogCollectionUploadStateChangedCb callback.
`void`
`onMessageContentEdited(Core core, ChatRoom chatRoom, ChatMessage message)`
Gets the message content edited callback.
`void`
`onMessageReceived(Core core, ChatRoom chatRoom, ChatMessage message)`
Gets the LinphoneCoreCbsMessageReceivedCb callback.
`void`
`onMessageReceivedUnableDecrypt(Core core, ChatRoom chatRoom, ChatMessage message)`
Gets the LinphoneCoreCbsMessageReceivedUnableDecryptCb callback.
`void`
`onMessageRetracted(Core core, ChatRoom chatRoom, ChatMessage message)`
Gets the message retracted callback.
`void`
`onMessageSent(Core core, ChatRoom chatRoom, ChatMessage message)`
Gets the LinphoneCoreCbsMessageSentCb callback.
`void`
`onMessagesReceived(Core core, ChatRoom chatRoom, ChatMessage[] messages)`
Gets the LinphoneCoreCbsMessagesReceivedCb callback.
`void`
`onMessageWaitingIndicationChanged(Core core, Event lev, MessageWaitingIndication mwi)`
Gets the message waiting indication changed callback.
`void`
`onNetworkReachable(Core core, boolean reachable)`
Gets the LinphoneCoreCbsNetworkReachableCb callback.
`void`
`onNewAlertTriggered(Core core, Alert alert)`
Gets the on alert callback.
`void`
`onNewMessageReaction(Core core, ChatRoom chatRoom, ChatMessage message, ChatMessageReaction reaction)`
Gets the LinphoneCoreCbsNewMessageReactionCb callback.
`void`
`onNewSubscriptionRequested(Core core, Friend linphoneFriend, String url)`
Gets the LinphoneCoreCbsNewSubscriptionRequestedCb callback.
`void`
`onNotifyPresenceReceived(Core core, Friend linphoneFriend)`
Gets the LinphoneCoreCbsNotifyPresenceReceivedCb callback.
`void`
`onNotifyPresenceReceivedForUriOrTel(Core core, Friend linphoneFriend, String uriOrTel, PresenceModel presenceModel)`
Gets the LinphoneCoreCbsNotifyPresenceReceivedForUriOrTelCb callback.
`void`
`onNotifyReceived(Core core, Event linphoneEvent, String notifiedEvent, Content body)`
Gets the LinphoneCoreCbsNotifyReceivedCb callback.
`void`
`onNotifySent(Core core, Event linphoneEvent, Content body)`
Gets the LinphoneCoreCbsNotifySentCb callback.
`void`
`onPreviewDisplayErrorOccurred(Core core, int errorCode)`
Gets the preview display error callback.
`void`
`onPublishReceived(Core core, Event linphoneEvent, String publishEvent, Content body)`
Gets the LinphoneCoreCbsPublishReceivedCb callback.
`void`
`onPublishStateChanged(Core core, Event linphoneEvent, PublishState state)`
Gets the LinphoneCoreCbsPublishStateChangedCb callback.
`void`
`onPushNotificationReceived(Core core, String payload)`
Gets the push notification received callback.
`void`
`onQrcodeFound(Core core, String result)`
Gets the qrcode found callback.
`void`
`onReactionRemoved(Core core, ChatRoom chatRoom, ChatMessage message, Address address)`
Gets the LinphoneCoreCbsReactionRemovedCb callback.
`void`
`onReferReceived(Core core, Address referToAddr, Headers customHeaders, Content content)`
Gets the LinphoneCoreCbsReferReceivedCb callback.
`void`
`onRegistrationStateChanged(Core core, ProxyConfig proxyConfig, RegistrationState state, String message)`
Gets the LinphoneCoreCbsRegistrationStateChangedCb callback.
`void`
`onRemainingNumberOfFileTransferChanged(Core core, int downloadCount, int uploadCount)`
Gets the LinphoneCoreCbsRemainingNumberOfFileTransferChangedCb callback.
`void`
`onSnapshotTaken(Core core, String filePath)`
Gets the snapshot taken callback.
`void`
`onSubscribeReceived(Core core, Event linphoneEvent, String subscribeEvent, Content body)`
Gets the LinphoneCoreCbsSubscribeReceivedCb callback.
`void`
`onSubscriptionStateChanged(Core core, Event linphoneEvent, SubscriptionState state)`
Gets the LinphoneCoreCbsSubscriptionStateChangedCb callback.
`void`
`onTransferStateChanged(Core core, Call transferred, Call.State callState)`
Gets the LinphoneCoreCbsTransferStateChangedCb callback.
`void`
`onVersionUpdateCheckResultReceived(Core core, VersionUpdateCheckResult result, String version, String url)`
Gets the version update check result callback.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CoreListenerStub

public CoreListenerStub()

## Method Details

### onGlobalStateChanged

public void onGlobalStateChanged(@NonNull Core core, GlobalState state, @NonNull String message)
Description copied from interface: `CoreListener`
Gets the global state changed callback.

Specified by:
  `onGlobalStateChanged` in interface `CoreListener`

### onRegistrationStateChanged

public void onRegistrationStateChanged(@NonNull Core core, @NonNull ProxyConfig proxyConfig, RegistrationState state, @NonNull String message)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsRegistrationStateChangedCb callback.

Specified by:
  `onRegistrationStateChanged` in interface `CoreListener`

### onConferenceInfoReceived

public void onConferenceInfoReceived(@NonNull Core core, @NonNull ConferenceInfo conferenceInfo)
Description copied from interface: `CoreListener`
Gets the conference info received callback.

Specified by:
  `onConferenceInfoReceived` in interface `CoreListener`

### onPushNotificationReceived

public void onPushNotificationReceived(@NonNull Core core, @Nullable String payload)
Description copied from interface: `CoreListener`
Gets the push notification received callback.

Specified by:
  `onPushNotificationReceived` in interface `CoreListener`

### onPreviewDisplayErrorOccurred

public void onPreviewDisplayErrorOccurred(@NonNull Core core, int errorCode)
Description copied from interface: `CoreListener`
Gets the preview display error callback.

Specified by:
  `onPreviewDisplayErrorOccurred` in interface `CoreListener`

### onCallStateChanged

public void onCallStateChanged(@NonNull Core core, @NonNull Call call, Call.State state, @NonNull String message)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsCallStateChangedCb callback.

Specified by:
  `onCallStateChanged` in interface `CoreListener`

### onNotifyPresenceReceived

public void onNotifyPresenceReceived(@NonNull Core core, @NonNull Friend linphoneFriend)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsNotifyPresenceReceivedCb callback.

Specified by:
  `onNotifyPresenceReceived` in interface `CoreListener`

### onNotifyPresenceReceivedForUriOrTel

public void onNotifyPresenceReceivedForUriOrTel(@NonNull Core core, @NonNull Friend linphoneFriend, @NonNull String uriOrTel, @NonNull PresenceModel presenceModel)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsNotifyPresenceReceivedForUriOrTelCb callback.

Specified by:
  `onNotifyPresenceReceivedForUriOrTel` in interface `CoreListener`

### onNewSubscriptionRequested

public void onNewSubscriptionRequested(@NonNull Core core, @NonNull Friend linphoneFriend, @NonNull String url)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsNewSubscriptionRequestedCb callback.

Specified by:
  `onNewSubscriptionRequested` in interface `CoreListener`

### onAuthenticationRequested

public void onAuthenticationRequested(@NonNull Core core, @NonNull AuthInfo authInfo, @NonNull AuthMethod method)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsAuthenticationRequestedCb callback.

Specified by:
  `onAuthenticationRequested` in interface `CoreListener`

### onCallLogUpdated

public void onCallLogUpdated(@NonNull Core core, @NonNull CallLog callLog)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsCallLogUpdatedCb callback.

Specified by:
  `onCallLogUpdated` in interface `CoreListener`

### onCallIdUpdated

public void onCallIdUpdated(@NonNull Core core, @NonNull String previousCallId, @NonNull String currentCallId)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsCallIdUpdatedCb callback.

Specified by:
  `onCallIdUpdated` in interface `CoreListener`

### onRemainingNumberOfFileTransferChanged

public void onRemainingNumberOfFileTransferChanged(@NonNull Core core, int downloadCount, int uploadCount)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsRemainingNumberOfFileTransferChangedCb callback.

Specified by:
  `onRemainingNumberOfFileTransferChanged` in interface `CoreListener`

### onMessageReceived

public void onMessageReceived(@NonNull Core core, @NonNull ChatRoom chatRoom, @NonNull ChatMessage message)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsMessageReceivedCb callback.

Specified by:
  `onMessageReceived` in interface `CoreListener`

### onNewMessageReaction

public void onNewMessageReaction(@NonNull Core core, @NonNull ChatRoom chatRoom, @NonNull ChatMessage message, @NonNull ChatMessageReaction reaction)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsNewMessageReactionCb callback.

Specified by:
  `onNewMessageReaction` in interface `CoreListener`

### onReactionRemoved

public void onReactionRemoved(@NonNull Core core, @NonNull ChatRoom chatRoom, @NonNull ChatMessage message, @NonNull Address address)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsReactionRemovedCb callback.

Specified by:
  `onReactionRemoved` in interface `CoreListener`

### onMessagesReceived

public void onMessagesReceived(@NonNull Core core, @NonNull ChatRoom chatRoom, @NonNull ChatMessage[] messages)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsMessagesReceivedCb callback.

Specified by:
  `onMessagesReceived` in interface `CoreListener`

### onMessageSent

public void onMessageSent(@NonNull Core core, @NonNull ChatRoom chatRoom, @NonNull ChatMessage message)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsMessageSentCb callback.

Specified by:
  `onMessageSent` in interface `CoreListener`

### onChatRoomSessionStateChanged

public void onChatRoomSessionStateChanged(@NonNull Core core, @NonNull ChatRoom chatRoom, Call.State state, @NonNull String message)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsChatRoomSessionStateChangedCb callback.

Specified by:
  `onChatRoomSessionStateChanged` in interface `CoreListener`

### onChatRoomRead

public void onChatRoomRead(@NonNull Core core, @NonNull ChatRoom chatRoom)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsChatRoomReadCb callback.

Specified by:
  `onChatRoomRead` in interface `CoreListener`

### onMessageReceivedUnableDecrypt

public void onMessageReceivedUnableDecrypt(@NonNull Core core, @NonNull ChatRoom chatRoom, @NonNull ChatMessage message)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsMessageReceivedUnableDecryptCb callback.

Specified by:
  `onMessageReceivedUnableDecrypt` in interface `CoreListener`

### onIsComposingReceived

public void onIsComposingReceived(@NonNull Core core, @NonNull ChatRoom chatRoom)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsIsComposingReceivedCb callback.

Specified by:
  `onIsComposingReceived` in interface `CoreListener`

### onDtmfReceived

public void onDtmfReceived(@NonNull Core core, @NonNull Call call, int dtmf)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsDtmfReceivedCb callback.

Specified by:
  `onDtmfReceived` in interface `CoreListener`

### onReferReceived

public void onReferReceived(@NonNull Core core, @NonNull Address referToAddr, @NonNull Headers customHeaders, @Nullable Content content)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsReferReceivedCb callback.

Specified by:
  `onReferReceived` in interface `CoreListener`

### onCallGoclearAckSent

public void onCallGoclearAckSent(@NonNull Core core, @NonNull Call call)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsCallGoClearAckSentCb callback.

Specified by:
  `onCallGoclearAckSent` in interface `CoreListener`

### onCallEncryptionChanged

public void onCallEncryptionChanged(@NonNull Core core, @NonNull Call call, boolean mediaEncryptionEnabled, @Nullable String authenticationToken)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsCallEncryptionChangedCb callback.

Specified by:
  `onCallEncryptionChanged` in interface `CoreListener`

### onCallSendMasterKeyChanged

public void onCallSendMasterKeyChanged(@NonNull Core core, @NonNull Call call, @Nullable String masterKey)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsCallSendMasterKeyChangedCb callback.

Specified by:
  `onCallSendMasterKeyChanged` in interface `CoreListener`

### onCallReceiveMasterKeyChanged

public void onCallReceiveMasterKeyChanged(@NonNull Core core, @NonNull Call call, @Nullable String masterKey)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsCallReceiveMasterKeyChangedCb callback.

Specified by:
  `onCallReceiveMasterKeyChanged` in interface `CoreListener`

### onTransferStateChanged

public void onTransferStateChanged(@NonNull Core core, @NonNull Call transferred, Call.State callState)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsTransferStateChangedCb callback.

Specified by:
  `onTransferStateChanged` in interface `CoreListener`

### onBuddyInfoUpdated

public void onBuddyInfoUpdated(@NonNull Core core, @NonNull Friend linphoneFriend)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsBuddyInfoUpdatedCb callback.

Specified by:
  `onBuddyInfoUpdated` in interface `CoreListener`

### onCallStatsUpdated

public void onCallStatsUpdated(@NonNull Core core, @NonNull Call call, @NonNull CallStats callStats)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsCallStatsUpdatedCb callback.

Specified by:
  `onCallStatsUpdated` in interface `CoreListener`

### onInfoReceived

public void onInfoReceived(@NonNull Core core, @NonNull Call call, @NonNull InfoMessage message)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsInfoReceivedCb callback.

Specified by:
  `onInfoReceived` in interface `CoreListener`

### onSubscriptionStateChanged

public void onSubscriptionStateChanged(@NonNull Core core, @NonNull Event linphoneEvent, SubscriptionState state)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsSubscriptionStateChangedCb callback.

Specified by:
  `onSubscriptionStateChanged` in interface `CoreListener`

### onNotifySent

public void onNotifySent(@NonNull Core core, @NonNull Event linphoneEvent, @Nullable Content body)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsNotifySentCb callback.

Specified by:
  `onNotifySent` in interface `CoreListener`

### onNotifyReceived

public void onNotifyReceived(@NonNull Core core, @NonNull Event linphoneEvent, @NonNull String notifiedEvent, @Nullable Content body)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsNotifyReceivedCb callback.

Specified by:
  `onNotifyReceived` in interface `CoreListener`

### onSubscribeReceived

public void onSubscribeReceived(@NonNull Core core, @NonNull Event linphoneEvent, @NonNull String subscribeEvent, @Nullable Content body)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsSubscribeReceivedCb callback.

Specified by:
  `onSubscribeReceived` in interface `CoreListener`

### onPublishStateChanged

public void onPublishStateChanged(@NonNull Core core, @NonNull Event linphoneEvent, PublishState state)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsPublishStateChangedCb callback.

Specified by:
  `onPublishStateChanged` in interface `CoreListener`

### onPublishReceived

public void onPublishReceived(@NonNull Core core, @NonNull Event linphoneEvent, @NonNull String publishEvent, @Nullable Content body)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsPublishReceivedCb callback.

Specified by:
  `onPublishReceived` in interface `CoreListener`

### onConfiguringStatus

public void onConfiguringStatus(@NonNull Core core, ConfiguringState status, @Nullable String message)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsConfiguringStatusCb callback.

Specified by:
  `onConfiguringStatus` in interface `CoreListener`

### onNetworkReachable

public void onNetworkReachable(@NonNull Core core, boolean reachable)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsNetworkReachableCb callback.

Specified by:
  `onNetworkReachable` in interface `CoreListener`

### onLogCollectionUploadStateChanged

public void onLogCollectionUploadStateChanged(@NonNull Core core, Core.LogCollectionUploadState state, @NonNull String info)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsLogCollectionUploadStateChangedCb callback.

Specified by:
  `onLogCollectionUploadStateChanged` in interface `CoreListener`

### onLogCollectionUploadProgressIndication

public void onLogCollectionUploadProgressIndication(@NonNull Core core, int offset, int total)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsLogCollectionUploadProgressIndicationCb callback.

Specified by:
  `onLogCollectionUploadProgressIndication` in interface `CoreListener`

### onFriendListCreated

public void onFriendListCreated(@NonNull Core core, @NonNull FriendList friendList)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsFriendListCreatedCb callback.

Specified by:
  `onFriendListCreated` in interface `CoreListener`

### onFriendListRemoved

public void onFriendListRemoved(@NonNull Core core, @NonNull FriendList friendList)
Description copied from interface: `CoreListener`
Gets the LinphoneCoreCbsFriendListRemovedCb callback.

Specified by:
  `onFriendListRemoved` in interface `CoreListener`

### onCallCreated

public void onCallCreated(@NonNull Core core, @NonNull Call call)
Description copied from interface: `CoreListener`
Gets the call created callback.

Specified by:
  `onCallCreated` in interface `CoreListener`

### onVersionUpdateCheckResultReceived

public void onVersionUpdateCheckResultReceived(@NonNull Core core, @NonNull VersionUpdateCheckResult result, @Nullable String version, @Nullable String url)
Description copied from interface: `CoreListener`
Gets the version update check result callback.

Specified by:
  `onVersionUpdateCheckResultReceived` in interface `CoreListener`

### onConferenceStateChanged

public void onConferenceStateChanged(@NonNull Core core, @NonNull Conference conference, Conference.State state)
Description copied from interface: `CoreListener`
Gets the conference state changed callback.

Specified by:
  `onConferenceStateChanged` in interface `CoreListener`

### onChatRoomStateChanged

public void onChatRoomStateChanged(@NonNull Core core, @NonNull ChatRoom chatRoom, ChatRoom.State state)
Description copied from interface: `CoreListener`
Gets the chat room state changed callback.

Specified by:
  `onChatRoomStateChanged` in interface `CoreListener`

### onChatRoomSubjectChanged

public void onChatRoomSubjectChanged(@NonNull Core core, @NonNull ChatRoom chatRoom)
Description copied from interface: `CoreListener`
Gets the chat room subject changed callback.

Specified by:
  `onChatRoomSubjectChanged` in interface `CoreListener`

### onChatRoomEphemeralMessageDeleted

public void onChatRoomEphemeralMessageDeleted(@NonNull Core core, @NonNull ChatRoom chatRoom)
Description copied from interface: `CoreListener`
Gets the chat room ephemeral message deleted callback.

Specified by:
  `onChatRoomEphemeralMessageDeleted` in interface `CoreListener`

### onImeeUserRegistration

public void onImeeUserRegistration(@NonNull Core core, boolean status, @NonNull String userId, @NonNull String info)
Description copied from interface: `CoreListener`
Gets the IMEE user registration callback.

Specified by:
  `onImeeUserRegistration` in interface `CoreListener`

### onQrcodeFound

public void onQrcodeFound(@NonNull Core core, @Nullable String result)
Description copied from interface: `CoreListener`
Gets the qrcode found callback.

Specified by:
  `onQrcodeFound` in interface `CoreListener`

### onFirstCallStarted

public void onFirstCallStarted(@NonNull Core core)
Description copied from interface: `CoreListener`
Gets the first call started callback.

Specified by:
  `onFirstCallStarted` in interface `CoreListener`

### onLastCallEnded

public void onLastCallEnded(@NonNull Core core)
Description copied from interface: `CoreListener`
Gets the last call ended callback.

Specified by:
  `onLastCallEnded` in interface `CoreListener`

### onAudioDeviceChanged

public void onAudioDeviceChanged(@NonNull Core core, @NonNull AudioDevice audioDevice)
Description copied from interface: `CoreListener`
Gets the audio device changed callback.

Specified by:
  `onAudioDeviceChanged` in interface `CoreListener`

### onAudioDevicesListUpdated

public void onAudioDevicesListUpdated(@NonNull Core core)
Description copied from interface: `CoreListener`
Gets the audio devices list updated callback.

Specified by:
  `onAudioDevicesListUpdated` in interface `CoreListener`

### onEcCalibrationResult

public void onEcCalibrationResult(@NonNull Core core, EcCalibratorStatus status, int delayMs)
Description copied from interface: `CoreListener`
Sets a callback to call each time the echo-canceler calibration is completed.

Specified by:
  `onEcCalibrationResult` in interface `CoreListener`

### onEcCalibrationAudioInit

public void onEcCalibrationAudioInit(@NonNull Core core)
Description copied from interface: `CoreListener`
Sets a callback to call when the echo-canceler calibrator has completed its
audio graph.

Specified by:
  `onEcCalibrationAudioInit` in interface `CoreListener`

### onEcCalibrationAudioUninit

public void onEcCalibrationAudioUninit(@NonNull Core core)
Description copied from interface: `CoreListener`
Sets a callback to call when the echo-canceler calibrator destroys its audio
graph.

Specified by:
  `onEcCalibrationAudioUninit` in interface `CoreListener`

### onAccountRegistrationStateChanged

public void onAccountRegistrationStateChanged(@NonNull Core core, @NonNull Account account, RegistrationState state, @NonNull String message)
Description copied from interface: `CoreListener`
Gets the account registration state changed callback.

Specified by:
  `onAccountRegistrationStateChanged` in interface `CoreListener`

### onDefaultAccountChanged

public void onDefaultAccountChanged(@NonNull Core core, @Nullable Account account)
Description copied from interface: `CoreListener`
Gets the default account changed callback.

Specified by:
  `onDefaultAccountChanged` in interface `CoreListener`

### onAccountAdded

public void onAccountAdded(@NonNull Core core, @NonNull Account account)
Description copied from interface: `CoreListener`
Gets the account added callback.

Specified by:
  `onAccountAdded` in interface `CoreListener`

### onAccountRemoved

public void onAccountRemoved(@NonNull Core core, @NonNull Account account)
Description copied from interface: `CoreListener`
Gets the new account removed callback.

Specified by:
  `onAccountRemoved` in interface `CoreListener`

### onMessageWaitingIndicationChanged

public void onMessageWaitingIndicationChanged(@NonNull Core core, @NonNull Event lev, @NonNull MessageWaitingIndication mwi)
Description copied from interface: `CoreListener`
Gets the message waiting indication changed callback.

Specified by:
  `onMessageWaitingIndicationChanged` in interface `CoreListener`

### onSnapshotTaken

public void onSnapshotTaken(@NonNull Core core, @NonNull String filePath)
Description copied from interface: `CoreListener`
Gets the snapshot taken callback.

Specified by:
  `onSnapshotTaken` in interface `CoreListener`

### onMessageContentEdited

public void onMessageContentEdited(@NonNull Core core, @NonNull ChatRoom chatRoom, @NonNull ChatMessage message)
Description copied from interface: `CoreListener`
Gets the message content edited callback.

Specified by:
  `onMessageContentEdited` in interface `CoreListener`

### onMessageRetracted

public void onMessageRetracted(@NonNull Core core, @NonNull ChatRoom chatRoom, @NonNull ChatMessage message)
Description copied from interface: `CoreListener`
Gets the message retracted callback.

Specified by:
  `onMessageRetracted` in interface `CoreListener`

### onNewAlertTriggered

public void onNewAlertTriggered(@NonNull Core core, @NonNull Alert alert)
Description copied from interface: `CoreListener`
Gets the on alert callback.

Specified by:
  `onNewAlertTriggered` in interface `CoreListener`